
RSBag - Tasks #2479
Bag as bus server crashes in case client is closed
12/11/2015 01:37 PM - J. Wienke

Status: New Start date: 12/11/2015
Priority: Normal Due date:
Assignee: J. Moringen % Done: 0%
Category: Estimated time: 0.00 hour
Target version: rsb-0.18
Description

I have seen this several times in case I terminate a bus client:

jwienke@cinnabar ~ [1]> /media/local_data/jwienke/sensor-fusion/bin/rsbag play --loop=t
/vol/toolkit/tutorial-sensor-fusion-with-rsb/data/tutorial_datafusion.tide  socket:
2015-12-09T18:02:17.672763+01:00  40.42 %       326 [        0,      808]
Error processing entry #<EVENT /kinect2/ #(10 6 10 2 8 ...) (850) E3E058D2> from
#<REPLAY-BAG-CONNECTION (2) {1015A7E2F3}> during replay according to strategy #<RECORDED-TIMING [0, *[
{1015A74F03}>.
Caused by:
> Couldn't write to #<SB-SYS:FD-STREAM for "socket 127.0.0.1:55555, peer: 127.0.0.1:53256" {100CB814F3}>: Broken pipe
 <WARN> [13:36:24] [Worker for #<BUS-CONNECTION open #(127 0 0 1):53256>] rsb.transport.socket bus-connection.lisp
(%make-error-policy bus-connection-error-policy) -
  When #<BUS-CONNECTION closing: :RECEIVE ADDRESS?:PORT?> executed error
  policy, error closing connection:
  Couldn't write to #<SB-SYS:FD-STREAM
                      for "socket 127.0.0.1:55555, peer: 127.0.0.1:53256" 
                      {100CB814F3}>:
    Broken pipe
jwienke@cinnabar ~ [1]> /media/local_data/jwienke/sensor-fusion/bin/rsbag play --version
/media/local_data/jwienke/sensor-fusion/bin/rsbag play version 0.13.42-g6f687b5
SBCL version                                                   1.2.15
RSB version                                                    0.13.89-gac01044
RSBAG version                                                  0.13.41-gda486e6
RSBAG-TIDELOG version                                          0.13.41-gda486e6

History
#1 - 03/02/2016 09:49 AM - J. Moringen
- Target version changed from rsb-0.13 to rsb-0.14

#2 - 06/08/2016 09:01 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#3 - 11/07/2016 10:38 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#4 - 04/10/2017 09:01 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17
#5 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
